Skip to main content
`Ctrl`+`K`
scipy.sparse.csc_array.

# astype

csc_array.astype(dtype, casting='unsafe', copy=True)

  Cast the array/matrix elements to a specified type.

  Parameters:
    dtype string or numpy dtype

      Typecode or data-type to which to cast the data.

    casting{‘no’, ‘equiv’, ‘safe’, ‘same_kind’, ‘unsafe’}, optional

      Controls what kind of data casting may occur. Defaults to ‘unsafe’ for backwards compatibility. ‘no’ means the data types should not be cast at all. ‘equiv’ means only byte-order changes are allowed. ‘safe’ means only casts which can preserve values are allowed. ‘same_kind’ means only safe casts or casts within a kind, like float64 to float32, are allowed. ‘unsafe’ means any data conversions may be done.

    copy bool, optional

      If `copy` is False, the result might share some memory with this array/matrix. If `copy` is True, it is guaranteed that the result and this array/matrix do not share any memory.